Bug 1279783 - Review Request: python-et_xmlfile - An implementation of lxml.xmlfile for the standard library
Review Request: python-et_xmlfile - An implementation of lxml.xmlfile for the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1279785
  Show dependency treegraph
 
Reported: 2015-11-10 05:04 EST by Julien Enselme
Modified: 2015-12-01 14:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 12:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Julien Enselme 2015-11-10 05:04:21 EST
Spec URL: http://dl.jujens.eu/SPECS/python-et_xmlfile.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-et_xmlfile-1.0.1-1.fc23.src.rpm
Description:
et_xmlfile is a low memory library for creating large XML files.

It is based upon the xmlfile module from lxml with the aim of allowing code to
be developed that will work with both libraries. It was developed initially for
the openpyxl project but is now a standalone module.

Fedora Account System Username: jujens
Comment 1 Upstream Release Monitoring 2015-11-22 07:45:54 EST
hubbitus's scratch build of python-et_xmlfile-1.0.1-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11946530
Comment 2 Pavel Alexeev 2015-11-22 11:07:35 EST
Package Review
==============

Legend:
[+] = Pass, [!] = Fail, [x] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[+]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[+]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
[+]: License file installed when any subpackage combination is installed.
[+]: Package contains no bundled libraries without FPC exception.
[+]: Changelog in prescribed format.
[+]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[+]: Package uses nothing in %doc for runtime.
[+]: Package consistently uses macros (instead of hard-coded directory
     names).
[+]: Package is named according to the Package Naming Guidelines.
[+]: Package does not generate any conflict.
[+]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[+]: Requires correct, justified where necessary.
[+]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[+]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[+]: Package complies to the Packaging Guidelines
[+]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[+]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[+]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[+]: Package requires other packages for directories it uses.
[+]: Package must own all directories that it creates.
[+]: Package does not own files or directories owned by other packages.
[+]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[+]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[+]: Macros in Summary, %description expandable at SRPM build time.
[+]: Dist tag is present.
[+]: Package does not contain duplicates in %files.
[+]: Permissions on files are set properly.
[+]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[+]: Package is named using only allowed ASCII characters.
[+]: Package does not use a name that already exists.
[+]: Package is not relocatable.
[+]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[+]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[+]: File names are valid UTF-8.
[+]: Packages must not store files under /srv, /opt or /usr/local

Python:
[+]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[+]: Package meets the Packaging Guidelines::Python
[+]: Package contains BR: python2-devel or python3-devel
[+]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[+]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[+]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-et_xmlfile , python3-et_xmlfile
[?]: Package functions as described.
[+]: Latest version is packaged.
[+]: Package does not include license text files separate from upstream.
[+]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[+]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
Trivial test included (and may), please add:
%{__python2} setup.py test
%{__python3} setup.py test
in %check section.

[+]: Packages should try to preserve timestamps of original installed
     files.
[+]: Sources can be downloaded from URI in Source: tag
[+]: Reviewer should test that the package builds in mock.
[+]: Buildroot is not present
[+]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[+]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[+]: SourceX is a working URL.
[+]: Spec use %global instead of %define unless justified.


Rpmlint
-------
Checking: python2-et_xmlfile-1.0.1-1.fc22.noarch.rpm
          python3-et_xmlfile-1.0.1-1.fc22.noarch.rpm
          python-et_xmlfile-1.0.1-1.fc22.src.rpm
python2-et_xmlfile.noarch: W: spelling-error Summary(en_US) lxml -> XML
python2-et_xmlfile.noarch: W: spelling-error Summary(en_US) xmlfile -> misfile
python2-et_xmlfile.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python2-et_xmlfile.noarch: W: spelling-error %description -l en_US xmlfile -> misfile
python2-et_xmlfile.noarch: W: spelling-error %description -l en_US lxml -> XML
python2-et_xmlfile.noarch: W: spelling-error %description -l en_US openpyxl -> Penelope
python3-et_xmlfile.noarch: W: spelling-error Summary(en_US) lxml -> XML
python3-et_xmlfile.noarch: W: spelling-error Summary(en_US) xmlfile -> misfile
python3-et_xmlfile.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-et_xmlfile.noarch: W: spelling-error %description -l en_US xmlfile -> misfile
python3-et_xmlfile.noarch: W: spelling-error %description -l en_US lxml -> XML
python3-et_xmlfile.noarch: W: spelling-error %description -l en_US openpyxl -> Penelope
python-et_xmlfile.src: W: spelling-error Summary(en_US) lxml -> XML
python-et_xmlfile.src: W: spelling-error Summary(en_US) xmlfile -> misfile
python-et_xmlfile.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-et_xmlfile.src: W: spelling-error %description -l en_US xmlfile -> misfile
python-et_xmlfile.src: W: spelling-error %description -l en_US lxml -> XML
python-et_xmlfile.src: W: spelling-error %description -l en_US openpyxl -> Penelope
3 packages and 0 specfiles checked; 0 errors, 18 warnings.


Requires
--------
python2-et_xmlfile (rpmlib, GLIBC filtered):
    python(abi)
    python2-jdcal

python3-et_xmlfile (rpmlib, GLIBC filtered):
    python(abi)
    python3-jdcal



Provides
--------
python2-et_xmlfile:
    python-et_xmlfile
    python2-et_xmlfile

python3-et_xmlfile:
    python3-et_xmlfile



Source checksums
----------------
https://pypi.python.org/packages/source/e/et_xmlfile/et_xmlfile-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 614d9722d572f6246302c4491846d2c393c199cfa4edc9af593437691683335b
  CHECKSUM(SHA256) upstream package : 614d9722d572f6246302c4491846d2c393c199cfa4edc9af593437691683335b
https://bitbucket.org/openpyxl/et_xmlfile/raw/8c7ad6904ebe0ff98c204a3e77d7e78528b10ffe/LICENCE.rst :
  CHECKSUM(SHA256) this package     : afe62b360cdca81fb8de6ee4b7610da1d86c391777a80c7acb6d11455c53c429
  CHECKSUM(SHA256) upstream package : afe62b360cdca81fb8de6ee4b7610da1d86c391777a80c7acb6d11455c53c429


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1279783
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Conclusion: The only stop issue missing python3-jdcal dependency. and please inlcude check. All other fine.
Comment 3 Julien Enselme 2015-11-22 12:18:44 EST
I just added tests as requested. As for the python3-jdcal dependency, it was already there, wasn't it?

SPEC: http://dl.jujens.eu/SPECS/python-et_xmlfile.spec
SRPM: http://dl.jujens.eu/SRPMS/python-et_xmlfile-1.0.1-2.fc23.src.rpm
Comment 4 Pavel Alexeev 2015-11-22 13:33:18 EST
Hm. According to https://bugzilla.redhat.com/show_bug.cgi?id=1279225 it should be, but I still do not see it for Fedora 23:
$ LANG=en_US.utf8 dnf list python3-jdcal
Last metadata expiration check performed 0:08:51 ago on Sun Nov 22 21:21:38 2015.
Error: No matching Packages to list

$ LANG=en_US.utf8 sudo dnf install python3-et_xmlfile-1.0.1-1.fc22.noarch.rpm
Last metadata expiration check performed 0:11:27 ago on Sun Nov 22 21:21:38 2015.
Error: nothing provides python3-jdcal needed by python3-et_xmlfile-1.0.1-1.fc22.noarch
(try to add '--allowerasing' to command line to replace conflicting packages)
Comment 5 Julien Enselme 2015-11-22 13:46:38 EST
It is still in testing for f23 (and a request has been made for stable): https://bodhi.fedoraproject.org/updates/FEDORA-2015-83313fb26c
Comment 6 Pavel Alexeev 2015-11-22 13:53:25 EST
I have fedora-updates-testing repo enabled.
Are you able install python3-et_xmlfile?
Comment 7 Julien Enselme 2015-11-22 13:58:30 EST
> Are you able install python3-et_xmlfile?

I do:


[root@giskard /home/jenselme]# dnf install python3-et_xmlfile-1.0.1-2.fc23.noarch.rpm --enablerepo=u\*g
Last metadata expiration check performed 0:01:48 ago on Sun Nov 22 19:56:15 2015.
Dependencies resolved.
================================================================================
 Package                Arch       Version            Repository           Size
================================================================================
Installing:
 python3-et_xmlfile     noarch     1.0.1-2.fc23       @commandline         28 k
 python3-jdcal          noarch     1.0-1.fc23         updates-testing      16 k

Transaction Summary
================================================================================
Install  2 Packages

Total size: 44 k
Total download size: 16 k
Installed size: 129 k
Is this ok [y/N]: y
Downloading Packages:
python3-jdcal-1.0-1.fc23.noarch.rpm             152 kB/s |  16 kB     00:00    
--------------------------------------------------------------------------------
Total                                            13 kB/s |  16 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : python3-jdcal-1.0-1.fc23.noarch                             1/2 
  Installing  : python3-et_xmlfile-1.0.1-2.fc23.noarch                      2/2 
  Verifying   : python3-et_xmlfile-1.0.1-2.fc23.noarch                      1/2 
  Verifying   : python3-jdcal-1.0-1.fc23.noarch                             2/2 

Installed:
  python3-et_xmlfile.noarch 1.0.1-2.fc23     python3-jdcal.noarch 1.0-1.fc23    

Complete!
Comment 8 Pavel Alexeev 2015-11-22 14:21:26 EST
Ok, then package APPROVED.
Comment 9 Julien Enselme 2015-11-22 14:34:50 EST
Thanks.
Comment 10 Gwyn Ciesla 2015-11-22 15:35:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-et_xmlfile
Comment 11 Fedora Update System 2015-11-22 17:13:54 EST
python-et_xmlfile-1.0.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-995b26534b
Comment 12 Fedora Update System 2015-11-22 17:20:22 EST
python-et_xmlfile-1.0.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dee7f6c44c
Comment 13 Fedora Update System 2015-11-23 19:54:35 EST
python-et_xmlfile-1.0.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-et_xmlfile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-995b26534b
Comment 14 Fedora Update System 2015-11-23 21:23:49 EST
python-et_xmlfile-1.0.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-et_xmlfile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dee7f6c44c
Comment 15 Fedora Update System 2015-12-01 12:52:10 EST
python-et_xmlfile-1.0.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-01 14:50:18 EST
python-et_xmlfile-1.0.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.